/*

Uniform Theme: Uniform Default
Version: 1.6
By: Josh Pyles
License: MIT License

(class names has been changed for mooniform by @stecb)

*/

/* Global Declaration */

div.mooniform-selector, 
div.mooniform-selector span, 
div.mooniform-checker span,
div.mooniform-radio span, 
div.mooniform-uploader, 
div.mooniform-uploader span.mooniform-action,
div.mooniform-button,
div.mooniform-button span {
  background-image: url(/img/mooniform/sprite.png);
  background-repeat: no-repeat;
  -webkit-font-smoothing: antialiased;
}

.mooniform-selector, 
.mooniform-radio, 
.mooniform-checker, 
.mooniform-uploader,
.mooniform-button, 
.mooniform-selector *, 
.mooniform-radio *, 
.mooniform-checker *, 
.mooniform-uploader *,
.mooniform-button *{
  margin: 0;
  padding: 0;
}

/* INPUT & TEXTAREA */

input.text,
input.email, 
input.password,
textarea.uniform {
  font-size: 12px;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-weight: normal;
  padding: 3px;
  color: #777;
  background: url('/img/mooniform/bg-input-focus.png') repeat-x 0px 0px;
  background: url('/img/mooniform/bg-input.png') repeat-x 0px 0px;
  border-top: solid 1px #aaa;
  border-left: solid 1px #aaa;
  border-bottom: solid 1px #ccc;
  border-right: solid 1px #ccc;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  outline: 0;
}

input.text:focus,
input.email:focus,
input.password:focus,
textarea.uniform:focus {
  -webkit-box-shadow: 0px 0px 4px rgba(0,0,0,0.3);
  -moz-box-shadow: 0px 0px 4px rgba(0,0,0,0.3);
  box-shadow: 0px 0px 4px rgba(0,0,0,0.3);
  border-color: #999;
  background: url('/img/mooniform/bg-input-focus.png') repeat-x 0px 0px;
}

/* SPRITES */

/* Select */

div.mooniform-selector {
  background-position: -483px -130px;
  line-height: 22px;
  height: 26px;
}

div.mooniform-selector span {
  background-position: right 0px;
  height: 26px;
  line-height: 22px;
}

div.mooniform-selector select {
  /* change these to adjust positioning of select element */
  top: 0px;
  left: 0px;
}

div.mooniform-selector:active, 
div.mooniform-selector.mooniform-active {
  background-position: -483px -156px;
}

div.mooniform-selector:active span, 
div.mooniform-selector.mooniform-active span {
  background-position: right -26px;
}

div.mooniform-selector.mooniform-focus, div.mooniform-selector.mooniform-hover, div.mooniform-selector:hover {
  background-position: -483px -182px;
}

div.mooniform-selector.mooniform-focus span, div.mooniform-selector.mooniform-hover span, div.mooniform-selector:hover span {
  background-position: right -52px;
}

div.mooniform-selector.mooniform-focus:active,
div.mooniform-selector.mooniform-focus.mooniform-active,
div.mooniform-selector:hover:active,
div.mooniform-selector.mooniform-active:hover {
  background-position: -483px -208px;
}

div.mooniform-selector.mooniform-focus:active span,
div.mooniform-selector:hover:active span,
div.mooniform-selector.mooniform-active:hover span,
div.mooniform-selector.mooniform-focus.mooniform-active span {
  background-position: right -78px;
}

div.mooniform-selector.mooniform-disabled {
  background-position: -483px -234px;
}

div.mooniform-selector.mooniform-disabled span {
  background-position: right -104px;
}

/* Checkbox */

div.mooniform-checker {
  width: 19px;
  height: 19px;
}

div.mooniform-checker input {
  width: 19px;
  height: 19px;
}

div.mooniform-checker span {
  background-position: 0px -260px;
  height: 19px;
  width: 19px;
}

div.mooniform-checker:active span, 
div.mooniform-checker.mooniform-active span {
  background-position: -19px -260px;
}

div.mooniform-checker.mooniform-focus span,
div.mooniform-checker:hover span {
  background-position: -38px -260px;
}

div.mooniform-checker.mooniform-focus:active span,
div.mooniform-checker:active:hover span,
div.mooniform-checker.mooniform-active:hover span,
div.mooniform-checker.mooniform-focus.mooniform-active span {
  background-position: -57px -260px;
}

div.mooniform-checker span.mooniform-checked {
  background-position: -76px -260px;
}

div.mooniform-checker:active span.mooniform-checked, 
div.mooniform-checker.mooniform-active span.mooniform-checked {
  background-position: -95px -260px;
}

div.mooniform-checker.mooniform-focus span.mooniform-checked,
div.mooniform-checker:hover span.mooniform-checked {
  background-position: -114px -260px;
}

div.mooniform-checker.mooniform-focus:active span.mooniform-checked,
div.mooniform-checker:hover:active span.mooniform-checked,
div.mooniform-checker.mooniform-active:hover span.mooniform-checked,
div.mooniform-checker.mooniform-active.mooniform-focus span.mooniform-checked {
  background-position: -133px -260px;
}

div.mooniform-checker.mooniform-disabled span,
div.mooniform-checker.mooniform-disabled:active span,
div.mooniform-checker.mooniform-disabled.mooniform-active span {
  background-position: -152px -260px;
}

div.mooniform-checker.mooniform-disabled span.mooniform-checked,
div.mooniform-checker.mooniform-disabled:active span.mooniform-checked,
div.mooniform-checker.mooniform-disabled.mooniform-active span.mooniform-checked {
  background-position: -171px -260px;
}

/* Radio */

div.mooniform-radio {
  width: 18px;
  height: 18px;
}

div.mooniform-radio input {
  width: 18px;
  height: 18px;
}

div.mooniform-radio span {
  height: 18px;
  width: 18px;
  background-position: 0px -279px;
}

div.mooniform-radio:active span, 
div.mooniform-radio.mooniform-active span {
  background-position: -18px -279px;
}

div.mooniform-radio.mooniform-focus span, 
div.mooniform-radio:hover span {
  background-position: -36px -279px;
}

div.mooniform-radio.mooniform-focus:active span,
div.mooniform-radio:active:hover span,
div.mooniform-radio.mooniform-active:hover span,
div.mooniform-radio.mooniform-active.mooniform-focus span {
  background-position: -54px -279px;
}

div.mooniform-radio span.mooniform-checked {
  background-position: -72px -279px;
}

div.mooniform-radio:active span.mooniform-checked,
div.mooniform-radio.mooniform-active span.mooniform-checked {
  background-position: -90px -279px;
}

div.mooniform-radio.mooniform-focus span.mooniform-checked, div.mooniform-radio:hover span.mooniform-checked {
  background-position: -108px -279px;
}

div.mooniform-radio.mooniform-focus:active span.mooniform-checked, 
div.mooniform-radio:hover:active span.mooniform-checked,
div.mooniform-radio.mooniform-focus.mooniform-active span.mooniform-checked,
div.mooniform-radio.mooniform-active:hover span.mooniform-checked {
  background-position: -126px -279px;
}

div.mooniform-radio.mooniform-disabled span,
div.mooniform-radio.mooniform-disabled:active span,
div.mooniform-radio.mooniform-disabled.mooniform-active span {
  background-position: -144px -279px;
}

div.mooniform-radio.mooniform-disabled span.mooniform-checked,
div.mooniform-radio.mooniform-disabled:active span.mooniform-checked,
div.mooniform-radio.mooniform-disabled.mooniform-active span.mooniform-checked {
  background-position: -162px -279px;
}

/* Uploader */

div.mooniform-uploader {
  /*  background-position: 0px -297px;*/
  background:none;
  height: 28px;
}

div.mooniform-uploader span.mooniform-action {
  background-position: right -409px;
  height: 24px;
  line-height: 24px;
}

div.mooniform-uploader span.mooniform-filename {
  height: 21px;
  /* change this line to adjust positioning of filename area */
  margin: 2px 0px 2px 2px;
  line-height: 24px;
  background:#FFF;
  background-clip: padding-box;
  -moz-border-radius: 3px 0px 0px 3px;
  -webkit-border-radius: 3px 0px 0px 3px;
  -o-border-radius: 3px 0px 0px 3px;
  -ms-border-radius: 3px 0px 0px 3px;
  -khtml-border-radius: 3px 0px 0px 3px;
  border-radius: 3px 0px 0px 3px;
  -moz-box-shadow: inset 1px 2px 2px 0 #cdcdcd;
  -webkit-box-shadow: inset 1px 2px 2px 0 #cdcdcd;
  -o-box-shadow: inset 1px 2px 2px 0 #cdcdcd;
  box-shadow: inset 1px 2px 2px 0 #cdcdcd;
  border-bottom: 1px solid #CECECE;
}

div.mooniform-uploader.mooniform-focus,
div.mooniform-uploader.mooniform-hover,
div.mooniform-uploader:hover {
  background-position: 0px -353px;
}

div.mooniform-uploader.mooniform-focus span.mooniform-action,
div.mooniform-uploader.mooniform-hover span.mooniform-action,
div.mooniform-uploader:hover span.mooniform-action {
  background-position: right -437px;
}

div.mooniform-uploader.mooniform-active span.mooniform-action,
div.mooniform-uploader:active span.mooniform-action {
  background-position: right -465px;
}

div.mooniform-uploader.mooniform-focus.mooniform-active span.mooniform-action,
div.mooniform-uploader:focus.mooniform-active span.mooniform-action,
div.mooniform-uploader.mooniform-focus:active span.mooniform-action,
div.mooniform-uploader:focus:active span.mooniform-action {
  background-position: right -493px;
}

div.mooniform-uploader.mooniform-disabled {
  background-position: 0px -325px;
}

div.mooniform-uploader.mooniform-disabled span.mooniform-action {
  background-position: right -381px;
}

div.mooniform-button {
  background-position: 0px -523px;
}

div.mooniform-button span {
  background-position: right -643px;
}

div.mooniform-button.mooniform-focus,
div.mooniform-button:focus,
div.mooniform-button:hover,
div.mooniform-button.mooniform-hover {
  background-position: 0px -553px;
}

div.mooniform-button.mooniform-focus span,
div.mooniform-button:focus span,
div.mooniform-button:hover span,
div.mooniform-button.mooniform-hover span {
  background-position: right -673px; 
}

div.mooniform-button.mooniform-active,
div.mooniform-button:active {
  background-position: 0px -583px;
}

div.mooniform-button.mooniform-active span,
div.mooniform-button:active span {
  background-position: right -703px;
  color: #555;
}

div.mooniform-button.mooniform-disabled,
div.mooniform-button:disabled {
  background-position: 0px -613px;
}

div.mooniform-button.mooniform-disabled span,
div.mooniform-button:disabled span {
  background-position: right -733px;
  color: #bbb;
  cursor: default;
}

/* PRESENTATION */

/* Button */

div.mooniform-button {
  height: 30px;
}

div.mooniform-button span {
  margin-left: 13px;
  height: 22px;
  padding-top: 8px;
  font-weight: bold;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 12px;
  letter-spacing: 1px;
  text-transform: uppercase;
  padding-left: 2px;
  padding-right: 15px;
}

/* Select */
div.mooniform-selector {
  width: 190px;
  font-size: 12px;
}

div.mooniform-selector select {
  min-width: 190px;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 12px;
  border: solid 1px #fff;
}

div.mooniform-selector span {
  padding: 0px 25px 0px 2px;
  cursor: pointer;
}

div.mooniform-selector span {
  color: #666;
  width: 158px;
  text-shadow: 0 1px 0 #fff;
}

div.mooniform-selector.mooniform-disabled span {
  color: #bbb;
}

/* Checker */
div.mooniform-checker {
  margin-right: 5px;
}

/* Radio */
div.mooniform-radio {
  margin-right: 3px;
}

/* Uploader */
div.mooniform-uploader {
  width: 190px;
  cursor: pointer;
}

div.mooniform-uploader span.mooniform-action {
  width: 85px;
  text-align: center;
  text-shadow: #fff 0px 1px 0px;
  font-size: 11px;
  font-weight: bold;
}

div.mooniform-uploader span.mooniform-filename {
  color: #777;
  width: 82px;
  border-right: solid 1px #bbb;
  font-size: 11px;
}

div.mooniform-uploader input {
  width: 190px;
}

div.mooniform-uploader.mooniform-disabled span.mooniform-action {
  color: #aaa;
}

div.mooniform-uploader.mooniform-disabled span.mooniform-filename {
  border-color: #ddd;
  color: #aaa;
}
/*

CORE FUNCTIONALITY 

Not advised to edit stuff below this line
-----------------------------------------------------
*/

.mooniform-selector, 
.mooniform-checker, 
.mooniform-button, 
.mooniform-radio, 
.mooniform-uploader {
  display: -moz-inline-box;
  display: inline-block;
  vertical-align: middle;
  zoom: 1;
  *display: inline;
}

.mooniform-selector select:focus, .mooniform-radio input:focus, .mooniform-checker input:focus, .mooniform-uploader input:focus {
  outline: 0;
}

/* Button */

div.mooniform-button a,
div.mooniform-button button,
div.mooniform-button input {
  position: absolute;
}

div.mooniform-button {
  cursor: pointer;
  position: relative;
}

div.mooniform-button span {
  display: -moz-inline-box;
  display: inline-block;
  line-height: 1;
  text-align: center;
}

/* Select */

div.mooniform-selector {
  position: relative;
  padding-left: 10px;
  overflow: hidden;
}

div.mooniform-selector span {
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

div.mooniform-selector select {
  position: absolute;
  opacity: 0;
  filter: alpha(opacity:0);
  height: 25px;
  border: none;
  background: none;
}

/* Checker */

div.mooniform-checker {
  position: relative;
}

div.mooniform-checker span {
  display: -moz-inline-box;
  display: inline-block;
  text-align: center;
}

div.mooniform-checker input {
  opacity: 0;
  filter: alpha(opacity:0);
  display: inline-block;
  background: none;
}

/* Radio */

div.mooniform-radio {
  position: relative;
}

div.mooniform-radio span {
  display: -moz-inline-box;
  display: inline-block;
  text-align: center;
}

div.mooniform-radio input {
  opacity: 0;
  filter: alpha(opacity:0);
  text-align: center;
  display: inline-block;
  background: none;
}

/* Uploader */

div.mooniform-uploader {
  position: relative;
  overflow: hidden;
  cursor: default;
}

div.mooniform-uploader span.mooniform-action {
  float: left;
  display: inline;
  padding: 2px 0px;
  padding-top:3px;
  overflow: hidden;
  cursor: pointer;
}

div.mooniform-uploader span.mooniform-filename {
  padding: 0px 10px;
  padding-top:2px;
  float: left;
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  cursor: default;
}

div.mooniform-uploader input {
  opacity: 0;
  filter: alpha(opacity:0);
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  float: right;
  height: 25px;
  border: none;
  cursor: default;
}